# QuizSubmissionComment

Represents a comment to a homework submission on SMHW.

## Constructor

#### new QuizSubmissionComment(client, response)

Instantiate a QuizSubmissionComment object.

Parameters:

Name | Type | Description
--- | --- | ---
`client` | Client | The client that is instantiating this object.
`response` | Object | The data for the object.

Source:
  - structures/QuizSubmissionComment.js, line 13

### Extends

- SubmissionComment

### Members

#### (private) _client :Client

The client that instantiated this object.

Type:

- Client

Overrides:
  - SubmissionComment#_client
Source:
  - structures/SubmissionComment.js, line 16

#### assignment :AssignmentInformation

The assignment information of the submission comment.

Type:

- AssignmentInformation

Overrides:
  - SubmissionComment#assignment
Source:
  - structures/SubmissionComment.js, line 28

#### assignment_id :Number

The ID of the assignment of the submission comment.

Type:

- Number

Overrides:
  - SubmissionComment#assignment_id
Source:
  - structures/SubmissionComment.js, line 34

#### assignment_type :String

The type of assignment that the comment was posted on.

Type:

- String

Overrides:
  - SubmissionComment#assignment_type
Source:
  - structures/SubmissionComment.js, line 99

#### created_at :Number

The timestamp of when the submission comment was created.

Type:

- Number

Overrides:
  - SubmissionComment#created_at
Source:
  - structures/SubmissionComment.js, line 40

#### id :Number

The ID of the submission comment.

Type:

- Number

Overrides:
  - SubmissionComment#id
Source:
  - structures/SubmissionComment.js, line 46

#### origin :String

The origin of the submission comment.

Type:

- String

Overrides:
  - SubmissionComment#origin
Source:
  - structures/SubmissionComment.js, line 52

#### shared_submission_comment_id :Number

The ID of the shared submission comment.

Type:

- Number

Overrides:
  - SubmissionComment#shared_submission_comment_id
Source:
  - structures/SubmissionComment.js, line 58

#### submission :SubmissionInformation

The submission information of the submission comment.

Type:

- SubmissionInformation

Overrides:
  - SubmissionComment#submission
Source:
  - structures/SubmissionComment.js, line 69

#### submission_type :String

The type of submission that the comment was posted on.

Type:

- String

Overrides:
  - SubmissionComment#submission_type
Source:
  - structures/SubmissionComment.js, line 105

#### text :String

The content of the submission comment.

Type:

- String

Overrides:
  - SubmissionComment#text
Source:
  - structures/SubmissionComment.js, line 75

#### updated_at :Number

The timestamp of when the submission comment was last updated.

Type:

- Number

Overrides:
  - SubmissionComment#updated_at
Source:
  - structures/SubmissionComment.js, line 81

#### user_id :Number

The ID of the user who posted the comment.

Type:

- Number

Overrides:
  - SubmissionComment#user_id
Source:
  - structures/SubmissionComment.js, line 87

#### user_name :String

The name of the user who posted the comment.

Type:

- String

Overrides:
  - SubmissionComment#user_name
Source:
  - structures/SubmissionComment.js, line 93

### Methods

#### getAssignment()

Get the assignment that the comment was posted to.

Source:
  - structures/QuizSubmissionComment.js, line 21

#### getSubmission()

Get the submission that the comment was posted to.

Source:
  - structures/QuizSubmissionComment.js, line 29

#### getUser() → {Promise.<User>}

Get the user who posted the comment.

Overrides:
  - SubmissionComment#getUser
Source:
  - structures/SubmissionComment.js, line 112

Returns:

Type
  Promise.<User>